Bug 145670 - New port: graphics/libjpeg-turbo, a version of libjpeg which uses MMX, SSE, and SSE2 SIMD instructions
New port: graphics/libjpeg-turbo, a version of libjpeg which uses MMX, SSE, a...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rene Ladan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-13 13:00 UTC by bytestore
Modified: 2010-04-26 20:34 UTC (History)
0 users

See Also:


Attachments
file.shar (4.02 KB, text/plain)
2010-04-13 13:00 UTC, bytestore
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bytestore 2010-04-13 13:00:11 UTC
libjpeg-turbo is a high-speed version of libjpeg for x86 and x86-64 processors
which uses SIMD instructions (MMX, SSE2, etc.) to accelerate baseline JPEG
compression and decompression.
libjpeg-turbo is generally 2-4x as fast as the unmodified version
of libjpeg, all else being equal.

libjpeg-turbo was originally based on libjpeg/SIMD by Miyasaka Masaru,
but the TigerVNC and VirtualGL projects made numerous enhancements to the codec,
including improved support for Mac OS X, 64-bit support,
support for 32-bit and big endian pixel formats (RGBA, ABGR, etc.),
accelerated Huffman encoding/decoding, and various bug fixes.
The goal was to produce a fully open source codec that could replace
the partially closed source TurboJPEG/IPP codec used by VirtualGL and TurboVNC.
libjpeg-turbo generally achieves 80-120% of the performance of TurboJPEG/IPP.
It is faster in some areas but slower in others.

Fix: New port: graphics/libjpeg-turbo
a version of libjpeg which uses MMX, SSE, and SSE2 SIMD instructions to accelerate baseline JPEG compression/decompression by about 2-4x on x86 and x86-64 platforms. It is based on libjpeg/SIMD but has numerous enhancements

Patch attached with submission follows:
Comment 1 Rene Ladan freebsd_committer 2010-04-18 17:22:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 2 Rene Ladan freebsd_committer 2010-04-18 17:48:51 UTC
New ports with ports@freebsd.org as maintainer are not accepted for
quality reasons (because nobody will be responsible for them).
Do you volunteer to be the maintainer with the above email address as
contact point?
Comment 3 Rene Ladan freebsd_committer 2010-04-20 10:24:10 UTC
The distribution files for libjpeg-turbo couldn't be found, see these
logs for details:
http://rene-ladan.nl/tb/errors/6-FreeBSD/libjpeg-turbo-0.0.92.log
(6-STABLE/i386 tinderbox)
http://rene-ladan.nl/tb/errors/7-FreeBSD/libjpeg-turbo-0.0.92.log
(7-STABLE/i386 tinderbox)
Comment 4 dfilter freebsd_committer 2010-04-26 20:28:56 UTC
rene        2010-04-26 19:27:02 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/libjpeg-turbo Makefile distinfo pkg-descr pkg-plist 
  Log:
  libjpeg-turbo is a high-speed version of libjpeg for x86 and x86-64 processors
  which uses SIMD instructions (MMX, SSE2, etc.) to accelerate baseline JPEG
  compression and decompression.
  libjpeg-turbo is generally 2-4x as fast as the unmodified version
  of libjpeg, all else being equal.
  
  libjpeg-turbo was originally based on libjpeg/SIMD by Miyasaka Masaru,
  but the TigerVNC and VirtualGL projects made numerous enhancements to the codec,
  including improved support for Mac OS X, 64-bit support,
  support for 32-bit and big endian pixel formats (RGBA, ABGR, etc.),
  accelerated Huffman encoding/decoding, and various bug fixes.
  The goal was to produce a fully open source codec that could replace
  the partially closed source TurboJPEG/IPP codec used by VirtualGL and TurboVNC.
  libjpeg-turbo generally achieves 80-120% of the performance of TurboJPEG/IPP.
  It is faster in some areas but slower in others.
  
  WWW: http://libjpeg-turbo.virtualgl.org/
  
  - D. R. Commander
  information@virtualgl.org
  
  PR:             ports/145670
  Submitted by:   Denis E Podolskiy [bytestore yandex.ru]
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.1322    +1 -0      ports/graphics/Makefile
  1.1       +38 -0     ports/graphics/libjpeg-turbo/Makefile (new)
  1.1       +3 -0      ports/graphics/libjpeg-turbo/distinfo (new)
  1.1       +20 -0     ports/graphics/libjpeg-turbo/pkg-descr (new)
  1.1       +12 -0     ports/graphics/libjpeg-turbo/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Rene Ladan freebsd_committer 2010-04-26 20:34:05 UTC
State Changed
From-To: open->closed

Committed, thanks